<script>
  import { json } from 'd3-fetch';
  import { onMount } from 'svelte';
  import Plot from './_design_3_plot.svelte';
  // Size and margins
  const width = 500;
  const height = 600;
  const margin = { top: 10, right: 10, bottom: 10, left: 10 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  let datapoints = null;
  let weeks = null;
  onMount(async () => {
      datapoints = await json('/data/hourly_electricity_vs_gas_december.json');
      weeks = [... new Set(datapoints.map(d => d.week))];
    });

  
</script>

{#if !datapoints}
  <p>Loading the data, please wait...</p>
{:else}
<svg {width} {height}>
  <g transform='translate({margin.left}, {margin.top})'>
    <!--  -->
    {#each weeks as w, i}
    {#if i%2 == 0}
    <g transform='translate({(innerWidth/2)},{innerHeight-i*90-150}) rotate(-15)'>
      <text transform='translate(150,90)'>Week {i+1}</text>
      <Plot data={datapoints} week={w}/>
     </g>
      {:else}
      <g transform='translate({(innerWidth/2)},{innerHeight-i*90-150}) scale(-1,1) rotate(-15)'>
        <text transform='translate(200,90) scale(-1,1)' >Week {i+1}</text>
        <Plot data={datapoints} week={w}/>
      </g>
    {/if}
    {/each}
    <path d='M {innerWidth/2},{35} Q {innerWidth/2+20},90 {innerWidth/2},150 t 0,200 0,170 ' />
  </g>
  <text transform='translate({innerWidth/3+20},{innerHeight-30})'>Baltimore (December 2014)</text>
  <text transform='translate({innerWidth/3-10},90) rotate(-15)'>0am on Monday</text>
  <text transform='translate({innerWidth-120},50) rotate(-15)'>midnight on Sunday</text>
  <line x1=200 y1=90 x2=260 y2=130/>
  <line x1=450 y1=30 x2=420 y2=90/>
  <text class='title' transform='translate({innerWidth/3-90},{innerHeight})'>Design 3: Gas and electricity use as a tree</text>
  <text transform='translate({margin.left},{margin.top+10})' class='electricity'>Electricity</text>
  <text transform='translate({margin.left},{margin.top+40})'class='gas'>Gas</text>
  
</svg>
{/if}
<style>
  svg {
    border: 1px solid black;
    border-radius: 5px;
  }
  path {
    fill:none;
    stroke: black;
    stroke-width: 2;
  }
  text {
    font-family: 'Brush Script MT', cursive;
    font-size: 20px;
  }
  line {
    stroke: black;
  }
  .title{
    font-family: Arial;
    font-style: italic;
  }
  .gas{
    fill: orange;
    font-family: Arial;
  }
  .electricity{
    fill: steelblue;
    font-family: Arial;
  }
 
</style>
